# Tiny Typer
---

**A small text editor with some interesting extra features for the card10.**

You can find further documentation including short video clips here:

http://www.niklasroy.com/micromarble_etc/index.html#tinytyper


---

Using the buttons of the card10 is tedious. However, it is nice to be able to take notes with the card10. 
'Tiny Typer' uses a combination of a button and accelerometer interface in order write texts in a convenient way.

---

## Writing texts
'Tiny Typer' shows you a little keyboard with a highlighted key (in red). 
Tilt and turn the card10 in order to select a different key. Pushing the top right button will push that key. 
'Back' will delete the last character of your text and '123!' will bring you to another keyboard with numbers 
and special characters. You can only edit the line in which you are currently writing.


## Saving texts
'Tiny Typer' automatically saves all written texts in the file 'text.txt' after a few seconds of idling or 
when you change the screen. If the cursor is blinking in red, the text is not yet saved. 
When the cursor is white, the current text is saved.


## Reading 'text.txt'
By pushing either the lower left or the lower right button, you can access different functions of 'Tiny Typer'. One of those
functions is to simply read the text that you have written. If the text is longer than what can be shown on the screen, 
tilting the card10 scrolls through the text file.


## Light writer
Another function that you can access via the lower left or right button is the 'Light Writer'. 
It shows the last line of your text on the LED bar, one column at a time. You can use this function for light painting in photos 
with long exposure time. It's a bit like POV, just slower.


## Morse transmit
You can send out your entire text file via visual morse code with card10's LED bar. Not all special characters are supported in Morse code, but '@' is!


## Morse receive
You can receive morse code from other card10's via the ambient light sensor. This works only on very short distances, 
presumably because the light sensor works mainly in a different wavelength than the LED's. 
Please note that the implemented morse code interpreter is tuned to the specific speed of the 'Tiny Typer' Morse code transmitter.

## Start new file
From time to time you might want to start a new text file. 
When hitting the top right button ('select'), while the option 'Start new file?' is presented, 'Tiny Typer' will save the current file 
under a name which consists of the current date and time and it will open a new, empty 'text.txt'.
Please note that you can only access the backup files when you put the card10 in USB mode and connect it to your computer. All files are saved in the folder /apps/tinytyper.